import { Directive, Input, Output, EventEmitter, ElementRef, Renderer } from '@angular/core';
import { ImageLoaderConfig } from "../providers/image-loader-config";
export var ImgLoader = (function () {
    function ImgLoader(element, renderer, config) {
        this.element = element;
        this.renderer = renderer;
        this.config = config;
        /**
         * Event emitter that notifies you when the image is loaded
         * @type {EventEmitter<void>}
         */
        this.onLoad = new EventEmitter();
        /**
         * Event emiter that notifies you when an error occurs, and passes you the error response/message.
         * @type {EventEmitter<any>}
         */
        this.onError = new EventEmitter();
    }
    ImgLoader.prototype.ngOnInit = function () {
        // set tag name
        this.tagName = this.element.nativeElement.tagName;
    };
    ImgLoader.decorators = [
        { type: Directive, args: [{
                    selector: '[imgLoader]'
                },] },
    ];
    /** @nocollapse */
    ImgLoader.ctorParameters = [
        { type: ElementRef, },
        { type: Renderer, },
        { type: ImageLoaderConfig, },
    ];
    ImgLoader.propDecorators = {
        'imageUrl': [{ type: Input, args: ['imgLoader',] },],
        'errorImage': [{ type: Input },],
        'spinner': [{ type: Input },],
        'onLoad': [{ type: Output },],
        'onError': [{ type: Output },],
    };
    return ImgLoader;
}());
//# sourceMappingURL=img-loader.js.map